variable "project_id" {
  type        = string
  description = "GCP project id"
}

variable "sa_name" {
  type        = string
  description = "Service account name (id)"
  default     = "terraform-sa"
}

variable "sa_display_name" {
  type        = string
  description = "Service account display name"
  default     = "Terraform Service Account"
}

variable "roles" {
  type    = list(string)
  default = [
    "roles/compute.instanceAdmin.v1",
    "roles/iam.serviceAccountUser",
    "roles/iam.serviceAccountKeyAdmin",
  ]
  description = "Liste des roles à attribuer au compte de service"
}